Name:    dolphin-plugins
Summary: Dolphin plugins for revision control systems
Version: 23.08.4
Release:    1%{?dist}

License: GPL-2.0-or-later
URL:     https://invent.kde.org/sdk/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
%global majmin_ver %(echo %{version} | cut -d. -f1,2)
BuildRequires:  dolphin-devel >= %{majmin_ver}
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  kf5-kdelibs4support-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-ktexteditor-devel
BuildRequires:  kf5-kxmlgui-devel
BuildRequires:  qt5-qtbase-devel

Requires:       dolphin >= %{majmin_ver}


Conflicts:      kdesdk-common < 4.10.80
Provides:       kdesdk-dolphin-plugins = %{version}-%{release}


%description
Plugins for the Dolphin file manager integrating the following revision control
systems:
* Dropbox
* Git
* Subversion (SVN)
* Bazaar (Bzr)


%prep
%autosetup


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name


%files -f %{name}.lang
%license LICENSES/*
%{_kf5_metainfodir}/org.kde.dolphin-plugins.metainfo.xml
%dir %{_kf5_qtplugindir}/dolphin/
%dir %{_kf5_qtplugindir}/dolphin/vcs/
%{_kf5_qtplugindir}/dolphin/vcs/fileviewbazaarplugin.so
%{_kf5_qtplugindir}/dolphin/vcs/fileviewdropboxplugin.so
%{_kf5_qtplugindir}/dolphin/vcs/fileviewgitplugin.so
%{_kf5_qtplugindir}/dolphin/vcs/fileviewsvnplugin.so
%{_kf5_qtplugindir}/dolphin/vcs/fileviewhgplugin.so
%{_kf5_plugindir}/kfileitemaction/mountisoaction.so
%{_kf5_datadir}/config.kcfg/fileviewgitpluginsettings.kcfg
%{_kf5_datadir}/config.kcfg/fileviewsvnpluginsettings.kcfg
%{_kf5_datadir}/config.kcfg/fileviewhgpluginsettings.kcfg


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
